List Objects
curl --request POST \
--url https://app.superleap.com/api/v1/appflow/objects/list/ \
--header 'Authorization: <authorization>'import requests
url = "https://app.superleap.com/api/v1/appflow/objects/list/"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://app.superleap.com/api/v1/appflow/objects/list/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Appflow APIs
List Objects
POST
/
api
/
v1
/
appflow
/
objects
/
list
/
List Objects
Retrieve a list of all available entities in your organization. This endpoint is used by the AppFlow connector to discover which Superleap objects can be used as data sources.
Headers
string
required
Bearer token for authentication, click here to generate one
Example Request
curl --location --request POST 'https://app.superleap.com/api/v1/appflow/objects/list/' \
--header 'Authorization: Bearer SUPERSECRETREDACTEDKEY' \
--data ''
Example Response
{
"success": true,
"data": [
{
"entity_identifier": "lead",
"label": "Lead",
"description": "",
"has_nested_entities": false,
"is_writable": false
},
{
"entity_identifier": "opportunity",
"label": "Opportunity",
"description": "",
"has_nested_entities": false,
"is_writable": false
},
{
"entity_identifier": "companies",
"label": "Company",
"description": "",
"has_nested_entities": false,
"is_writable": false
},
{
"entity_identifier": "user",
"label": "User",
"description": "",
"has_nested_entities": false,
"is_writable": false
},
{
"entity_identifier": "call_log",
"label": "Calllog",
"description": "",
"has_nested_entities": false,
"is_writable": false
}
]
}
Response Fields
| Field | Type | Description |
|---|---|---|
success | boolean | Whether the request was successful |
data | array | List of entity objects |
Entity Object
| Field | Type | Description |
|---|---|---|
entity_identifier | string | Unique slug identifier for the entity (used as object_slug in other endpoints) |
label | string | Human-readable display name of the entity |
description | string | Description of the entity |
has_nested_entities | boolean | Whether this entity contains nested sub-entities |
is_writable | boolean | Whether AppFlow can write data to this entity |
⌘I